<template>
	<h1>Warehouses</h1>
	<a v-link="{ path: '/add-warehouse' }">Add warehouse</a>

	<datatable :url="'/api/v1/warehouses'" :columns="columns" :options="options"></datatable>
</template>
<style>
</style>
<script>
	import datatable from './datatable.vue';
	export default{
		data(){
			return {
				columns: [
					{
						data: "name",
						title: "Name",
						render: function (data, type, row) {
//							console.log(data);
//							console.log(type);
//							console.log(row);
							return '<a href="#!/warehouse/' + row._id + '">' + data + '</a>';
						}
					},
					{data: "status", title: "Status"}
				],
				options: {
					searching: false,
					sorting: false,
				}
			}
		},
		components: {datatable}
	}
</script>
